#include <QtCore/QtPlugin>
#include <QDesignerFormEditorInterface>
#include <QDesignerPropertyEditorInterface>
#include "plugin_switch.h"
#include "switch.h"


SHSSwitchPlugin::SHSSwitchPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void SHSSwitchPlugin::initialize(QDesignerFormEditorInterface * ) {
	if (m_initialized)
		return;
	m_initialized = true;
}


bool SHSSwitchPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * SHSSwitchPlugin::createWidget(QWidget * parent) {
	return new SHSSwitch(parent);
}


QString SHSSwitchPlugin::name() const {
	return QLatin1String("SHSSwitch");
}


QString SHSSwitchPlugin::group() const {
	return QLatin1String("SHS Widgets");
}


QIcon SHSSwitchPlugin::icon() const {
	return QIcon(":/icons/switch.png");
}


QString SHSSwitchPlugin::toolTip() const {
	return QLatin1String("");
}


QString SHSSwitchPlugin::whatsThis() const {
	return QLatin1String("");
}


bool SHSSwitchPlugin::isContainer() const {
	return false;
}


QString SHSSwitchPlugin::domXml() const {
	return QLatin1String("<widget class=\"SHSSwitch\" name=\"switcher\">\n</widget>\n");
}


QString SHSSwitchPlugin::includeFile() const {
	return QLatin1String("switch.h");
}

